%define major 3.2
%define libname %mklibname %{name} %major
%define develname %name-devel

Summary:	Easily get an image from a LaTeX formula
Name:		klatexformula
Version:	3.2.7
Release:	%mkrel 2
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		klatexformula-3.2.0-link.patch
License:	GPLv2+
Group:		Publishing
Url:		http://klatexformula.sourceforge.net/
Requires:	ghostscript, tetex-latex, tetex-dvips
Requires:	%{libname} = %{version}
BuildRequires:	kdelibs4-devel
BuildRequires:	help2man

%description
This application provides an easy-to-use graphical user interface
for generating images from LaTeX equations. These images can be
dragged and dropped or copied and pasted into external applications
(presentations, text documents, graphics...), or can be saved to
disk in a variety of formats (PNG, JPG, BMP, EPS, PDF, etc.). In
addition to the graphical user interface, a command-line interface
and a C++ library are provided to perform the same job.

%package -n %libname
Summary:	Shared libraries for KLatexFormula
Group:		Publishing
Obsoletes:	%{_lib}klfbackend3 < %{version}
Obsoletes:	%{_lib}klatexformula3 < %version-%release

%description -n %libname
This package contains shared libraries for KLatexFormula.

%package -n %develname
Summary:	Development files for KLatexFormula
Group:		Development/C++
Requires:	%libname = %version-%release

%description -n %develname
This package contains development files for KLatexFormula.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%cmake_kde4 -DKLF_LIBKLFBACKEND_STATIC=OFF -DKLF_LIBKLFTOOLS_STATIC=OFF -DKLF_LIBKLFAPP_STATIC=OFF -DKLF_INSTALL_LIB_DIR=%{_libdir}
%make

%install
%makeinstall_std -C build

%files
%doc README
%{_kde_bindir}/*
%{_kde_iconsdir}/hicolor/*/apps/%{name}.png
%{_kde_datadir}/applications/%{name}.desktop
%{_kde_datadir}/%{name}
%{_kde_mandir}/man1/*
%{_kde_libdir}/kde4/*.so
%{_kde_services}/*.desktop
%{_kde_appsdir}/ktexteditor_klf
%{_kde_datadir}/mime/packages/*.xml
%{_kde_datadir}/pixmaps/*.png

%files -n %libname
%{_kde_libdir}/*.so.%{major}

%files -n %develname
%{_kde_includedir}/*
%{_kde_libdir}/*.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.2.7-2.mga4
+ Revision: 530350
- Mageia 4 Mass Rebuild

* Tue Jul 23 2013 sander85 <sander85> 3.2.7-1.mga4
+ Revision: 457365
- New version: 3.2.7

* Sat Jan 19 2013 fwang <fwang> 3.2.4-2.mga3
+ Revision: 389649
- update file list
- declare libdir

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 23 2011 lebedov <lebedov> 3.2.4-1.mga2
+ Revision: 147046
- imported package klatexformula

